Is my old iMac PowerPC G5 running 10.5.8 compatible with ICloud? I also have 18 month old Intel iMac, an iPad 2 and iPhone 3GS.

  • Asked about:  Mac OS X 10.6 Snow Leopard

No Answers have been submitted